Curious DEBUG message from maven-script-ant plugin

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Curious DEBUG message from maven-script-ant plugin

Paul Benedict
I found this message in my output when turning on Maven's debug option
(-X). It looks like an error to me, or at least a warning, and I don't know
what the consequences are. It "sounds bad" but I am not sure what it is
complaining about or what to do about it.

Output:
===
[DEBUG] The following standard Maven Ant-mojo support objects could not be
created:

-  Maven parameter expression evaluator for Ant properties.

Maven project, session, mojo-execution, or path-translation parameter
information is
missing from this mojo's plugin descriptor.

Perhaps this Ant-based mojo depends on maven-script-ant < 2.1.0, or used
maven-plugin-tools-ant < 2.2 during release?
===

What am I do to about this?

Cheers and God bless,
Paul
Reply | Threaded
Open this post in threaded view
|

Re: Curious DEBUG message from maven-script-ant plugin

Paul Benedict
I am following up on my question. No answer yet. I don't have an answer
myself.... In addition, I have noticed that none of Maven's properties are
available to me inside my Ant script. I have to explicitly create
parameters in my Ant-mojo descriptor with default values. Could this be
related to the aforementioned?

Cheers and God bless,
Paul

On Mon, Feb 12, 2018 at 3:06 PM, Paul Benedict <[hidden email]> wrote:

> I found this message in my output when turning on Maven's debug option
> (-X). It looks like an error to me, or at least a warning, and I don't know
> what the consequences are. It "sounds bad" but I am not sure what it is
> complaining about or what to do about it.
>
> Output:
> ===
> [DEBUG] The following standard Maven Ant-mojo support objects could not be
> created:
>
> -  Maven parameter expression evaluator for Ant properties.
>
> Maven project, session, mojo-execution, or path-translation parameter
> information is
> missing from this mojo's plugin descriptor.
>
> Perhaps this Ant-based mojo depends on maven-script-ant < 2.1.0, or used
> maven-plugin-tools-ant < 2.2 during release?
> ===
>
> What am I do to about this?
>
> Cheers and God bless,
> Paul
>